#root
  header,
  footer
    display: flex
    min-height: var( --bar-size )

    background: var( --bar-background )
    color: var( --bar-color )

    h1,
    input,
    select
      flex: 1
      height: var( --bar-size )
      line-height: var( --bar-size )
      padding: 0 var( --spacing )

      background: var( --bar-background )
      color: var( --bar-color )
      font-size: var( --bar-font-size )

    h1
      white-space: nowrap
      overflow: hidden
      text-overflow: ellipsis

    select
      height: var( --bar-size )
      line-height: var( --bar-size )
      padding-left: var( --spacing )

    button
      min-width: var( --bar-size )
      height: var( --bar-size )

      background: var( --bar-button-background )
      color: var( --bar-button-color )
      font-size: var( --bar-font-size )

      display: flex
      justify-content: center
      align-items: center

      &:hover
        background: var( --bar-button-hover-background )
        color: var( --bar-button-hover-color )
